<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class Location extends \Google\Protobuf\Internal\Message
{
    


    protected $degreesLatitude = null;
    


    protected $degreesLongitude = null;
    


    protected $name = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDegreesLatitude()
    {
        return isset($this->degreesLatitude) ? $this->degreesLatitude : 0.0;
    }

    public function hasDegreesLatitude()
    {
        return isset($this->degreesLatitude);
    }

    public function clearDegreesLatitude()
    {
        unset($this->degreesLatitude);
    }

    




    public function setDegreesLatitude($var)
    {
        GPBUtil::checkDouble($var);
        $this->degreesLatitude = $var;

        return $this;
    }

    



    public function getDegreesLongitude()
    {
        return isset($this->degreesLongitude) ? $this->degreesLongitude : 0.0;
    }

    public function hasDegreesLongitude()
    {
        return isset($this->degreesLongitude);
    }

    public function clearDegreesLongitude()
    {
        unset($this->degreesLongitude);
    }

    




    public function setDegreesLongitude($var)
    {
        GPBUtil::checkDouble($var);
        $this->degreesLongitude = $var;

        return $this;
    }

    



    public function getName()
    {
        return isset($this->name) ? $this->name : '';
    }

    public function hasName()
    {
        return isset($this->name);
    }

    public function clearName()
    {
        unset($this->name);
    }

    




    public function setName($var)
    {
        GPBUtil::checkString($var, True);
        $this->name = $var;

        return $this;
    }

}

